creator.hh File Reference
`#include <mia/core/pixeltype.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/core/handler.hh>`
Include dependency graph for core/creator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | creator_type
class | TImageCreator< T >
| The base class for generic image creation. More...

## Macros

#define | DEFINE_Image_Creator(TYPE)
#define | INSTANCIATE_Image_Creator(TYPE)

## Macro Definition Documentation

## DEFINE_Image_Creator

#define DEFINE_Image_Creator | ( |  | TYPE | ) |

Value:
typedef TImageCreator<TYPE> TYPE##Creator; \
typedef TFactory<TImageCreator<TYPE> > TYPE##CreatorPlugin; \
typedef THandlerSingleton<TFactoryPluginHandler<TYPE##CreatorPlugin> > TYPE##CreatorPluginHandler;\
FACTORY_TRAIT(THandlerSingleton<TFactoryPluginHandler<TYPE##CreatorPlugin> >);
TFactoryPluginHandler
the Base class for all plugn handlers that deal with factory plugins.
Definition factory.hh:95
TFactory
This is tha base of all plugins that create "things", like filters, cost functions time step operator...
Definition factory.hh:51
THandlerSingleton
the singleton that a plug-in handler really is
Definition handler.hh:159
TImageCreator
The base class for generic image creation.
Definition core/creator.hh:45

Definition at line 65 of file core/creator.hh.

## INSTANCIATE_Image_Creator

#define INSTANCIATE_Image_Creator | ( |  | TYPE | ) |

Value:
template class TImageCreator<TYPE>;\
template class TPlugin<TYPE, creator_type>; \
template class TFactory<TImageCreator<TYPE> >; \
template class TPluginHandler<TYPE##CreatorPlugin>; \
template class TFactoryPluginHandler<TYPE##CreatorPlugin>; \
template class THandlerSingleton<TFactoryPluginHandler<TYPE##CreatorPlugin> >;
TPluginHandler
The basic template of all plugin handlers.
Definition handler.hh:57
TPlugin
The generic base for all plug-ins.
Definition plugin_base.hh:172

Definition at line 72 of file core/creator.hh.